- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists ChangeRequests.
HTTP request
GET https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*}/changeRequests
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of ChangeRequests. Format: projects/{projectNumber}/locations/{locationId} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Maximum number of ChangeRequests to return. The service may return fewer. |
pageToken |
Optional. Page token received from a previous |
filter |
Optional. Filter request. Supports filtering by: state, author, resource, createTime, updateTime. |
orderBy |
Optional. Order by fields for the result. |
Request body
The request body must be empty.
Response body
Response message for changeRequests.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"changeRequests": [
{
object ( |
| Fields | |
|---|---|
changeRequests[] |
The ChangeRequests from the specified project and location. |
nextPageToken |
A token, which can be sent as |
unreachable[] |
Locations that could not be reached. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataplex.read-write
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
dataplex.changeRequests.list
For more information, see the IAM documentation.